import { a4 as a, Z as t, c2 as y, c3 as h, d4 as f, c$ as C, U as p, F as i, aa as v, ac as n, Y as u, bL as I, bS as g } from "./603b75d9.js";
import { SelectChildrenMap as F, SelectUIView as b, SelectPropertyView as w, baseSelectRefMethods as V } from "./0cdeb449.js";
import { useSelectInputValidate as x, SelectInputInvalidConfig as E, SelectInputCommonConfig as M } from "./00d44232.js";
import { useRef as D } from "react";
import { fixOldInputCompData as R } from "./41aba172.js";
import "react-dom";
import "./d50792b8.js";
import "./f64a8554.js";
import "./f9847c56.js";
let l = function() {
  const o = {
    ...F,
    defaultValue: a("defaultValue"),
    value: a("value"),
    style: t(y, "style"),
    labelStyle: t(h, "labelStyle"),
    inputFieldStyle: t(f, "inputFieldStyle"),
    childrenInputFieldStyle: t(C, "childrenInputFieldStyle")
  };
  return new p(o, (e, d) => {
    const [s, c] = x(e), S = D(e);
    S.current = e;
    const r = new Set(e.options.map((m) => m.value));
    return e.label({
      required: e.required,
      style: e.style,
      labelStyle: e.labelStyle,
      inputFieldStyle: e.inputFieldStyle,
      childrenInputFieldStyle: e.childrenInputFieldStyle,
      children: /* @__PURE__ */ i(b, {
        ...e,
        value: r.has(e.value.value) ? e.value.value : void 0,
        onChange: c,
        dispatch: d
      }),
      showValidationWhenEmpty: e.showValidationWhenEmpty,
      ...s
    });
  }).setPropertyViewFn((e) => /* @__PURE__ */ i(w, {
    ...e
  })).setExposeMethodConfigs(V).build();
}();
l = g(l, R);
const Y = v(l, [new n("value", u("selectInput.valueDesc")), new n("inputValue", u("select.inputValueDesc")), E, ...M, ...I]);
export {
  Y as SelectComp
};
